#pragma once
#include <string>

#ifdef WIN32
	#ifdef _DEBUG
		#define DBG_ASSERT(e) if(!(e)) DebugBreak();//DebugAssert(e, ""#e"", __TIME__, __FILE__, __LINE__)
	#else
		#define DBG_ASSERT(e) 
	#endif
#else
	#ifdef _DEBUG
	#define DBG_ASSERT(e) assert(e)
	#else
	#define DBG_ASSERT(e) 
	#endif
#endif

void DebugAssert(bool exp, std::string expStr, std::string time, std::string file, int line);