#pragma once

namespace Glyphs
{
	void CreateTexture();
	void ShowText(std::string label, double x, double y, double maxx, double maxy, bool ralign=false);
	void Free();
	unsigned int GetTexture();
};

struct GlyphBounds
{
	GlyphBounds(): x(0), y(0), width(0), height(0) {}
	GlyphBounds(double xa, double ya, double wa, double ha): x(xa), y(ya), width(wa), height(ha){}
	double x, y, width, height;
};
