#include "stdafx.h"
#include "Node.h"

void Node::CompileDrawables(Matrix4x4 parentTrans, std::vector<Drawable>& list)
{
	if(m_mesh) {
		Drawable d;
		d.m_transform = parentTrans * m_transform;
		d.m_mesh = m_mesh;
		list.push_back(d);
	}
	for(int i=0; i<m_children.size(); i++) {
		CompileDrawables(parentTrans * m_transform, list);
	}
}