#pragma once
#include "Mesh.h"
#include "algebra.h"

struct Drawable
{
	Matrix4x4 m_transform;
	Mesh* m_mesh;
};

class Node
{
public:
	void CompileDrawables(Matrix4x4 parentTrans, std::vector<Drawable>& list);
private:
	Matrix4x4 m_transform;
	Mesh* m_mesh;
	std::vector<Node> m_children;
};