#pragma once
#include <map>

class Shader
{
public:
	void Load(std::string fileName, unsigned int type);
	int SetVar1f(const char* var, float f);
	int SetVar3f(const char* var, float f1, float f2, float f3);
	unsigned int GetId() {return m_id;}
private:
	std::map<const char*, unsigned int> m_shaderVars;
	bool m_loaded;
	unsigned int m_id;
	std::string m_fileName;
};