#include "stdafx.h"
#include "TripletMap.h"
#include <sstream>
#include <string>
#include <map>

std::string TripletMap::MakeKey(unsigned int k1, unsigned int k2, unsigned int k3)
{
	std::stringstream strStrm;
	strStrm << k1 << " " << k2 << " " << k3;
	return strStrm.str();
}

bool TripletMap::Contains(unsigned int k1, unsigned int k2, unsigned int k3)
{
	std::string key = MakeKey(k1, k2, k3);
	return m_map.find(key) != m_map.end();
}

unsigned int TripletMap::Lookup(unsigned int k1, unsigned int k2, unsigned int k3)
{
	std::string key = MakeKey(k1, k2, k3);
	return m_map[key];
}

void TripletMap::Insert(unsigned int k1, unsigned int k2, unsigned int k3, unsigned int val)
{
	std::string key = MakeKey(k1, k2, k3);
	m_map[key] = val;
}

TripletMap::~TripletMap()
{
	m_map.clear();
}

TripletMap::TripletMap()
{

}