#include "stdafx.h"
#include "Explosion.h"
#include "algebra.h"
#include "AssetManager.h"

void Explosion::Draw()
{
	glUniform1f(AssetManager::GetInstance()->GetCurrentProgram()->GetVarId("explosionFlag"), 1);
	m_mesh->Draw();
	glUniform1f(AssetManager::GetInstance()->GetCurrentProgram()->GetVarId("explosionFlag"), 0);
}

void Explosion::Create(Point3D pos)
{
	m_mesh = AssetManager::GetInstance()->GetMesh("splosion1.obj");
	m_percent = 0;
	m_pos = pos;
}

void Explosion::Update()
{
	m_mesh->UpdateDeform(m_percent);
	m_percent += 0.04;
	if(m_percent > 1.2) m_done = true;
}
