#pragma once
#include <string>
#include "algebra.h"

// Each material consists of an ID and one colour parameter.
enum eMaterialType { FIRE, METAL, GLASS};

struct Material
{
public:
	Material(){}
	eMaterialType m_type;
	Point3D m_col;
	bool IsFire() {return m_type==FIRE;}
	std::string GetName() {return m_name;}
	std::string m_name;
};