#pragma once
#include <string>
#include <map>

class TripletMap //used to map from <unsigned int, unsigned int, unsigned int> to <unsigned int>
{
public:
	TripletMap();
	~TripletMap();
	bool Contains(unsigned int k1, unsigned int k2, unsigned int k3);
	unsigned int Lookup(unsigned int k1, unsigned int k2, unsigned int k3);
	void Insert(unsigned int k1, unsigned int k2, unsigned int k3, unsigned int val);
private:
	std::string MakeKey(unsigned int k1, unsigned int k2, unsigned int k3);
	std::map<std::string, unsigned int> m_map;
};