#pragma once

struct AppInitArgs{};

struct WindowPaintArgs{
	double width;
	double height;
};

struct WindowResizeArgs{};
struct MouseMoveArgs{
	int x, y;
	bool b1, b2, b3;
};

struct MouseBtnDownArgs{
	int x, y;
	int btn;
};

struct MouseBtnUpArgs{
	int x, y;
	int btn;
};

struct ScrollDownArgs{
};

struct ScrollUpArgs{
};

struct TimerTickArgs
{
	double dt;
};

struct KeyDownArgs
{
	int key;
};

struct KeyUpArgs
{
	int key;
};

void OnAppInit(AppInitArgs args);
void OnMouseBtnDown(MouseBtnDownArgs args);
void OnMouseBtnUp(MouseBtnUpArgs args);
void OnMouseMove(MouseMoveArgs args);
void OnKeyDown(KeyDownArgs args);
void OnKeyUp(KeyUpArgs args);
void OnWindowPaint(WindowPaintArgs args);
void OnWindowResize(WindowResizeArgs args);
void OnTimerTick(TimerTickArgs args);
void OnScrollDown(ScrollDownArgs args);
void OnScrollUp(ScrollUpArgs args);