#ifndef APPWINDOW_HPP
#define APPWINDOW_HPP

#include <gtkmm.h>
#include "viewer.hpp"

class AppWindow : public Gtk::Window {
public:
  AppWindow();
  
	protected:
		bool timer_handler();

private:
  // A "vertical box" which holds everything in our window
  Gtk::VBox m_vbox;

  // The menubar, with all the menus at the top of the window
  Gtk::MenuBar m_menubar;
  // Each menu itself
  Gtk::Menu m_menu_app;

  // The main OpenGL area
  Viewer m_viewer;
  
  bool on_key_down(GdkEventKey* key);
  bool on_key_up(GdkEventKey* key);
};

#endif
