#ifndef TRACKBALL_H
#define TRACKBALL_H

#include "algebra.h"   /* For the definition of Matrix */

/* Function prototypes */
void vCalcRotVec(double fNewX, double fNewY,
                 double fOldX, double fOldY,
                 double fDiameter,
                 double *fVecX, double *fVecY, double *fVecZ);
void vAxisRotMatrix(double fVecX, double fVecY, double fVecZ, Matrix4x4* mNewMat);

#endif
